<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BookmarkManager">
    <bookmark url="file://$PROJECT_DIR$/app/Services/Flight.php" description="*/" line="23" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="cbc9c865-6eda-4717-8010-c4b96a27ca3e" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/seeds/DatabaseSeeder.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="304">
              <caret line="19" selection-start-line="19" selection-end-line="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/seeds/RoutesTableSeeder.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="384">
              <caret line="24" column="32" selection-start-line="24" selection-start-column="32" selection-end-line="24" selection-end-column="32" />
              <folding>
                <element signature="e#7#38#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/seeds/AirportsTableSeeder.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="224">
              <caret line="14" column="47" selection-start-line="14" selection-start-column="47" selection-end-line="14" selection-end-column="47" />
              <folding>
                <element signature="e#7#38#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/seeds/AirlinesTableSeeder.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="224">
              <caret line="14" column="47" selection-start-line="14" selection-start-column="47" selection-end-line="14" selection-end-column="47" />
              <folding>
                <element signature="e#7#38#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/factories/AirlineFactory.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="128">
              <caret line="8" column="23" selection-start-line="8" selection-start-column="23" selection-end-line="8" selection-end-column="38" />
              <folding>
                <element signature="e#7#36#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Airline.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="224">
              <caret line="14" column="6" selection-start-line="14" selection-start-column="6" selection-end-line="14" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Services/Flight.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="352">
              <caret line="22" column="20" lean-forward="true" selection-start-line="22" selection-start-column="20" selection-end-line="22" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/composer.json">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="239">
              <caret line="15" column="6" selection-start-line="15" selection-start-column="6" selection-end-line="15" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/Unit/ExampleTest.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="256">
              <caret line="16" column="28" selection-start-line="16" selection-start-column="28" selection-end-line="16" selection-end-column="28" />
              <folding>
                <element signature="e#39#58#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Route.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="523">
              <caret line="45" column="35" selection-start-line="45" selection-start-column="35" selection-end-line="45" selection-end-column="35" />
              <folding>
                <element signature="e#30#69#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_132446_create_airlines_table.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="288">
              <caret line="20" column="27" selection-start-line="20" selection-start-column="27" selection-end-line="20" selection-end-column="27" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_122519_create_airports_table.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="320">
              <caret line="22" column="44" selection-start-line="22" selection-start-column="44" selection-end-line="22" selection-end-column="44" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/seeds/UsersTableSeeder.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="320">
              <caret line="20" selection-start-line="20" selection-end-line="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/factories/UserFactory.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="112">
              <caret line="7" column="33" selection-start-line="7" selection-start-column="33" selection-end-line="7" selection-end-column="33" />
              <folding>
                <element signature="e#7#20#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_133015_create_routes_table.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="240">
              <caret line="17" column="12" selection-start-line="17" selection-start-column="12" selection-end-line="23" selection-end-column="43" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Api/SearchController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="417">
              <caret line="39" column="15" lean-forward="true" selection-start-line="39" selection-start-column="15" selection-end-line="39" selection-end-column="15" />
              <folding>
                <element signature="e#44#87#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/SearchController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="160">
              <caret line="10" selection-start-line="10" selection-end-line="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Exceptions/Handler.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="331">
              <caret line="30" column="6" selection-start-line="30" selection-start-column="6" selection-end-line="30" selection-end-column="6" />
              <folding>
                <element signature="e#34#48#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Repositories/RouteRepositoryInterface.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="336">
              <caret line="21" column="25" selection-start-line="21" selection-start-column="25" selection-end-line="21" selection-end-column="25" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/vendor/prettus/l5-repository/src/Prettus/Repository/Contracts/RepositoryInterface.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="382">
              <caret line="200" column="20" selection-start-line="200" selection-start-column="20" selection-end-line="200" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/repository.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="443">
              <caret line="228" column="36" selection-start-line="228" selection-start-column="36" selection-end-line="228" selection-end-column="36" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Repositories/RouteRepository.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="496">
              <caret line="31" column="7" selection-start-line="31" selection-start-column="7" selection-end-line="31" selection-end-column="7" />
              <folding>
                <element signature="e#36#83#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/routes/api.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="384">
              <caret line="24" column="36" lean-forward="true" selection-start-line="24" selection-start-column="36" selection-end-line="24" selection-end-column="36" />
              <folding>
                <element signature="e#7#35#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="328">
                <caret line="27" column="3" lean-forward="true" selection-start-line="27" selection-start-column="3" selection-end-line="27" selection-end-column="3" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/Feature/Api/AuthTest.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="320">
              <caret line="21" column="5" lean-forward="true" selection-start-line="21" selection-start-column="5" selection-end-line="21" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/Feature/Api/SearchTest.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="236">
              <caret line="21" column="16" lean-forward="true" selection-start-line="21" selection-start-column="16" selection-end-line="21" selection-end-column="16" />
              <folding>
                <element signature="e#37#60#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/auth.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="638">
              <caret line="46" column="27" selection-start-line="46" selection-start-column="27" selection-end-line="46" selection-end-column="27" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Airport.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="240">
              <caret line="23" column="20" selection-start-line="23" selection-start-column="20" selection-end-line="23" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/factories/AirportFactory.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="192">
              <caret line="12" column="40" selection-start-line="12" selection-start-column="40" selection-end-line="12" selection-end-column="40" />
              <folding>
                <element signature="e#7#36#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/database/factories/RouteFactory.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="288">
              <caret line="18" column="27" selection-start-line="18" selection-start-column="27" selection-end-line="18" selection-end-column="27" />
              <folding>
                <element signature="e#7#36#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>auth:api</find>
      <find>Airport</find>
    </findStrings>
    <replaceStrings>
      <replace>Airline</replace>
      <replace>Route</replace>
      <replace>Airline2</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/docker/mysql/01-database.sql" />
        <option value="$PROJECT_DIR$/docker/mysql-test/01-database.sql" />
        <option value="$PROJECT_DIR$/.env.testing" />
        <option value="$PROJECT_DIR$/docker-compose.yml" />
        <option value="$PROJECT_DIR$/app/Models/Airport.php" />
        <option value="$PROJECT_DIR$/database/migrations/2019_03_15_132446_create_airlines_table.php" />
        <option value="$PROJECT_DIR$/database/migrations/2019_03_15_133015_create_routes_table.php" />
        <option value="$PROJECT_DIR$/config/repository.php" />
        <option value="$PROJECT_DIR$/app/Repositories/RouteRepositoryEloquent.php" />
        <option value="$PROJECT_DIR$/app/Providers/RepositoryServiceProvider.php" />
        <option value="$PROJECT_DIR$/app/Http/Middleware/AuthenticateOnceWithBasicAuth.php" />
        <option value="$PROJECT_DIR$/config/app.php" />
        <option value="$PROJECT_DIR$/composer.json" />
        <option value="$PROJECT_DIR$/.env.example" />
        <option value="$PROJECT_DIR$/database/migrations/2014_10_12_000000_create_users_table.php" />
        <option value="$PROJECT_DIR$/database/factories/UserFactory.php" />
        <option value="$PROJECT_DIR$/database/seeds/UsersTableSeeder.php" />
        <option value="$PROJECT_DIR$/config/auth.php" />
        <option value="$PROJECT_DIR$/.env" />
        <option value="$PROJECT_DIR$/tests/Feature/ExampleTest.php" />
        <option value="$PROJECT_DIR$/tests/Feature/Api/ExampleTest.php" />
        <option value="$PROJECT_DIR$/tests/Feature/Api/AuthTest.php" />
        <option value="$PROJECT_DIR$/database/seeds/DatabaseSeeder.php" />
        <option value="$PROJECT_DIR$/database/factories/AirlineFactory.php" />
        <option value="$PROJECT_DIR$/database/factories/AirportFactory.php" />
        <option value="$PROJECT_DIR$/database/migrations/2019_03_15_122519_create_airports_table.php" />
        <option value="$PROJECT_DIR$/database/factories/RouteFactory.php" />
        <option value="$PROJECT_DIR$/app/Repositories/RouteRepository.php" />
        <option value="$PROJECT_DIR$/app/Models/Route.php" />
        <option value="$PROJECT_DIR$/database/seeds/AirlinesTableSeeder.php" />
        <option value="$PROJECT_DIR$/database/seeds/AirportsTableSeeder.php" />
        <option value="$PROJECT_DIR$/tests/Unit/Services/ExampleTest.php" />
        <option value="$PROJECT_DIR$/app/Providers/AppServiceProvider.php" />
        <option value="$PROJECT_DIR$/app/Validators/RouteValidator.php" />
        <option value="$PROJECT_DIR$/database/seeds/RoutesTableSeeder.php" />
        <option value="$PROJECT_DIR$/app/Repositories/RouteRepositoryInterface.php" />
        <option value="$PROJECT_DIR$/app/Http/Requests/Api/Search.php" />
        <option value="$PROJECT_DIR$/app/Exceptions/Handler.php" />
        <option value="$PROJECT_DIR$/app/Services/Flight.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/Api/SearchController.php" />
        <option value="$PROJECT_DIR$/tests/Feature/Api/SearchTest.php" />
        <option value="$PROJECT_DIR$/routes/api.php" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/erusev/parsedown" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-highlighter" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-color" />
      <path value="$PROJECT_DIR$/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/symfony/debug" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/symfony/contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/prettus/laravel-validation" />
      <path value="$PROJECT_DIR$/vendor/prettus/l5-repository" />
      <path value="$PROJECT_DIR$/vendor/symfony/filesystem" />
      <path value="$PROJECT_DIR$/vendor/seld/phar-utils" />
      <path value="$PROJECT_DIR$/vendor/seld/jsonlint" />
      <path value="$PROJECT_DIR$/vendor/barryvdh/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/barryvdh/laravel-ide-helper" />
      <path value="$PROJECT_DIR$/vendor/justinrainbow/json-schema" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="23" />
    <option name="width" value="1440" />
    <option name="height" value="877" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
              <item name="Api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
              <item name="Auth" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Models" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Providers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Repositories" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="database" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="database" type="462c0819:PsiDirectoryNode" />
              <item name="factories" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="database" type="462c0819:PsiDirectoryNode" />
              <item name="migrations" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="database" type="462c0819:PsiDirectoryNode" />
              <item name="seeds" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="docker" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="docker" type="462c0819:PsiDirectoryNode" />
              <item name="nginx" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="docker" type="462c0819:PsiDirectoryNode" />
              <item name="workspace" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
              <item name="Feature" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
              <item name="Feature" type="462c0819:PsiDirectoryNode" />
              <item name="Api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="search-flights-service" type="b2602c69:ProjectViewProjectNode" />
              <item name="search-flights-service" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
              <item name="Unit" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="yarn" />
    <property name="settings.editor.selected.configurable" value="reference.webide.settings.project.settings.php" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/database/seeds" />
      <recent name="$PROJECT_DIR$/database/factories" />
      <recent name="$PROJECT_DIR$/tests/Feature/Api" />
      <recent name="$PROJECT_DIR$/app/Services" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/tests/Unit/Services" />
      <recent name="$PROJECT_DIR$/tests/Feature/Api" />
      <recent name="$PROJECT_DIR$/docker/mysql-test/init" />
      <recent name="$PROJECT_DIR$/docker/mysql/init" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cbc9c865-6eda-4717-8010-c4b96a27ca3e" name="Default Changelist" comment="" />
      <created>1552650819484</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1552650819484</updated>
      <workItem from="1552650820810" duration="22142000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="22142000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1440" height="877" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Analysis Trace" order="0" weight="0.3297568" />
      <window_info id="Favorites" order="1" side_tool="true" />
      <window_info id="Analysis Results" order="2" />
      <window_info id="npm" order="3" side_tool="true" />
      <window_info id="Audit Summary" order="4" />
      <window_info content_ui="combo" id="Project" order="5" weight="0.20100144" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info id="Issue Summary" order="7" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" />
      <window_info anchor="bottom" id="Database Changes" order="2" />
      <window_info anchor="bottom" id="Event Log" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Docker" order="4" />
      <window_info anchor="bottom" id="Message" order="5" />
      <window_info anchor="bottom" id="Find" order="6" />
      <window_info anchor="bottom" id="Run" order="7" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="9" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="10" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="11" />
      <window_info anchor="right" id="Database" order="0" />
      <window_info anchor="right" id="Commander" order="1" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/Entities/Route.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="22" column="29" lean-forward="true" selection-start-line="22" selection-start-column="29" selection-end-line="22" selection-end-column="29" />
          <folding>
            <element signature="e#32#71#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Providers/RouteServiceProvider.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-63">
          <caret line="24" column="5" selection-start-line="24" selection-start-column="5" selection-end-line="24" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Providers/RepositoryServiceProvider.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="416">
          <caret line="26" column="5" selection-start-line="26" selection-start-column="5" selection-end-line="26" selection-end-column="5" />
          <folding>
            <element signature="e#33#72#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/AuthenticateOnceWithBasicAuth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="21" lean-forward="true" selection-start-line="21" selection-end-line="21" />
          <folding>
            <element signature="e#39#51#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Auth/Middleware/AuthenticateWithBasicAuth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="7" column="6" selection-start-line="7" selection-start-column="6" selection-end-line="7" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Kernel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="327">
          <caret line="24" column="40" selection-start-line="24" selection-start-column="40" selection-end-line="24" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="464">
          <caret line="31" column="36" selection-start-line="31" selection-start-column="36" selection-end-line="31" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="426">
          <caret line="176" column="56" selection-start-line="176" selection-start-column="56" selection-end-line="176" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_135345_create_routes_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_135849_create_routes_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_135915_create_routes_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Auth/LoginController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="31" column="6" selection-start-line="31" selection-start-column="6" selection-end-line="31" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2014_10_12_000000_create_users_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="26" column="33" selection-start-line="26" selection-start-column="33" selection-end-line="26" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env.testing">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="256">
          <caret line="16" column="17" selection-start-line="16" selection-start-column="17" selection-end-line="16" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env.example">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="8" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="704">
          <caret line="44" selection-start-line="44" selection-end-line="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/prettus/l5-repository/src/Prettus/Repository/Criteria/RequestCriteria.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="182">
          <caret line="29" column="46" selection-start-line="29" selection-start-column="46" selection-end-line="29" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/AirlinesTableSeeder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="14" column="47" selection-start-line="14" selection-start-column="47" selection-end-line="14" selection-end-column="47" />
          <folding>
            <element signature="e#7#38#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/AirportsTableSeeder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="14" column="47" selection-start-line="14" selection-start-column="47" selection-end-line="14" selection-end-column="47" />
          <folding>
            <element signature="e#7#38#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_133015_create_routes_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="17" column="12" selection-start-line="17" selection-start-column="12" selection-end-line="23" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/factories/UserFactory.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="112">
          <caret line="7" column="33" selection-start-line="7" selection-start-column="33" selection-end-line="7" selection-end-column="33" />
          <folding>
            <element signature="e#7#20#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/UsersTableSeeder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="320">
          <caret line="20" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_122519_create_airports_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="320">
          <caret line="22" column="44" selection-start-line="22" selection-start-column="44" selection-end-line="22" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_03_15_132446_create_airlines_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="20" column="27" selection-start-line="20" selection-start-column="27" selection-end-line="20" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/DatabaseSeeder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/factories/AirportFactory.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="192">
          <caret line="12" column="40" selection-start-line="12" selection-start-column="40" selection-end-line="12" selection-end-column="40" />
          <folding>
            <element signature="e#7#36#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/factories/RouteFactory.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="18" column="27" selection-start-line="18" selection-start-column="27" selection-end-line="18" selection-end-column="27" />
          <folding>
            <element signature="e#7#36#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/auth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="638">
          <caret line="46" column="27" selection-start-line="46" selection-start-column="27" selection-end-line="46" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/laravel/framework/src/Illuminate/Foundation/Exceptions/Handler.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="261">
          <caret line="216" column="23" selection-start-line="216" selection-start-column="23" selection-end-line="216" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Route.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="523">
          <caret line="45" column="35" selection-start-line="45" selection-start-column="35" selection-end-line="45" selection-end-column="35" />
          <folding>
            <element signature="e#30#69#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Airport.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="23" column="20" selection-start-line="23" selection-start-column="20" selection-end-line="23" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Unit/ExampleTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="256">
          <caret line="16" column="28" selection-start-line="16" selection-start-column="28" selection-end-line="16" selection-end-column="28" />
          <folding>
            <element signature="e#39#58#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Validators/RouteValidator.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="21" column="9" lean-forward="true" selection-start-line="21" selection-start-column="9" selection-end-line="21" selection-end-column="9" />
          <folding>
            <element signature="e#59#111#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/repository.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="443">
          <caret line="228" column="36" selection-start-line="228" selection-start-column="36" selection-end-line="228" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Repositories/RouteRepository.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="496">
          <caret line="31" column="7" selection-start-line="31" selection-start-column="7" selection-end-line="31" selection-end-column="7" />
          <folding>
            <element signature="e#36#83#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/RoutesTableSeeder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="24" column="32" selection-start-line="24" selection-start-column="32" selection-end-line="24" selection-end-column="32" />
          <folding>
            <element signature="e#7#38#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Repositories/RouteRepositoryInterface.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="21" column="25" selection-start-line="21" selection-start-column="25" selection-end-line="21" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/prettus/l5-repository/src/Prettus/Repository/Contracts/RepositoryInterface.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="382">
          <caret line="200" column="20" selection-start-line="200" selection-start-column="20" selection-end-line="200" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Providers/AppServiceProvider.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="22" column="7" selection-start-line="22" selection-start-column="7" selection-end-line="22" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/composer.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="239">
          <caret line="15" column="6" selection-start-line="15" selection-start-column="6" selection-end-line="15" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Requests/Api/Search.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="25" column="16" selection-start-line="25" selection-start-column="16" selection-end-line="25" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/SearchController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/factories/AirlineFactory.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="128">
          <caret line="8" column="23" selection-start-line="8" selection-start-column="23" selection-end-line="8" selection-end-column="38" />
          <folding>
            <element signature="e#7#36#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Airline.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="14" column="6" selection-start-line="14" selection-start-column="6" selection-end-line="14" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Exceptions/Handler.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="331">
          <caret line="30" column="6" selection-start-line="30" selection-start-column="6" selection-end-line="30" selection-end-column="6" />
          <folding>
            <element signature="e#34#48#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Services/Flight.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="22" column="20" lean-forward="true" selection-start-line="22" selection-start-column="20" selection-end-line="22" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Api/SearchController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="417">
          <caret line="39" column="15" lean-forward="true" selection-start-line="39" selection-start-column="15" selection-end-line="39" selection-end-column="15" />
          <folding>
            <element signature="e#44#87#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Feature/Api/AuthTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="320">
          <caret line="21" column="5" lean-forward="true" selection-start-line="21" selection-start-column="5" selection-end-line="21" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Feature/Api/SearchTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="236">
          <caret line="21" column="16" lean-forward="true" selection-start-line="21" selection-start-column="16" selection-end-line="21" selection-end-column="16" />
          <folding>
            <element signature="e#37#60#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="24" column="36" lean-forward="true" selection-start-line="24" selection-start-column="36" selection-end-line="24" selection-end-column="36" />
          <folding>
            <element signature="e#7#35#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="328">
            <caret line="27" column="3" lean-forward="true" selection-start-line="27" selection-start-column="3" selection-end-line="27" selection-end-column="3" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
  </component>
</project>